Apache Tomcat 6.0.53

## org.apache.el.lang
Class ELSupport

    java.lang.Object
      org.apache.el.lang.ELSupport

Direct Known Subclasses:
  SimpleNode

    public class ELSupport

extends java.lang.Object

A helper class that implements the EL Specification

Author:
  Jacob Hookom [jacob@hookom.net]

Constructor Summary
`ELSupport()`

Method Summary
`static void` | `checkType(java.lang.Object obj, java.lang.Class type)`
`static java.lang.Boolean` | `coerceToBoolean(java.lang.Object obj)` Convert an object to Boolean.
`static java.lang.Character` | `coerceToCharacter(java.lang.Object obj)`
`static java.lang.Enum<?>` | `coerceToEnum(java.lang.Object obj, java.lang.Class type)`
`protected static java.lang.Number` | `coerceToNumber(java.lang.Number number, java.lang.Class<?> type)`
`static java.lang.Number` | `coerceToNumber(java.lang.Object obj)`
`static java.lang.Number` | `coerceToNumber(java.lang.Object obj, java.lang.Class<?> type)`
`protected static java.lang.Number` | `coerceToNumber(java.lang.String val, java.lang.Class<?> type)`
`static java.lang.String` | `coerceToString(java.lang.Object obj)`
`static java.lang.Object` | `coerceToType(java.lang.Object obj, java.lang.Class<?> type)`
`static int` | `compare(java.lang.Object obj0, java.lang.Object obj1)` Compare two objects, after coercing to the same type if appropriate.
`static boolean` | `containsNulls(java.lang.Object[] obj)`
`static boolean` | `equals(java.lang.Object obj0, java.lang.Object obj1)` Compare two objects for equality, after coercing to the same type if appropriate.
`static boolean` | `isBigDecimalOp(java.lang.Object obj0, java.lang.Object obj1)`
`static boolean` | `isBigIntegerOp(java.lang.Object obj0, java.lang.Object obj1)`
`static boolean` | `isDoubleOp(java.lang.Object obj0, java.lang.Object obj1)`
`static boolean` | `isDoubleStringOp(java.lang.Object obj0, java.lang.Object obj1)`
`static boolean` | `isLongOp(java.lang.Object obj0, java.lang.Object obj1)`
`static boolean` | `isStringFloat(java.lang.String str)`
`static void` | `throwUnhandled(java.lang.Object base, java.lang.Object property)`
`static java.lang.Number` | `toFloat(java.lang.String value)`
`static java.lang.Number` | `toNumber(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELSupport

    public ELSupport()

Method Detail

### throwUnhandled

    public static final void throwUnhandled(java.lang.Object base,
                                            java.lang.Object property)
                                     throws javax.el.ELException

  Throws:
    `javax.el.ELException`

### compare

    public static final int compare(java.lang.Object obj0,
                                    java.lang.Object obj1)
                             throws javax.el.ELException

  Compare two objects, after coercing to the same type if appropriate. If the objects are identical, or they are equal according to `equals(Object, Object)` then return 0. If either object is a BigDecimal, then coerce both to BigDecimal first. Similarly for Double(Float), BigInteger, and Long(Integer, Char, Short, Byte). Otherwise, check that the first object is an instance of Comparable, and compare against the second object. If that is null, return 1, otherwise return the result of comparing against the second object. Similarly, if the second object is Comparable, if the first is null, return -1, else return the result of comparing against the first object. A null object is considered as:
  - ZERO when compared with Numbers
  - the empty string for String compares
  - Otherwise null is considered to be lower than anything else.

  Parameters:
    `obj0` - first object
    `obj1` - second object
  Returns:
    -1, 0, or 1 if this object is less than, equal to, or greater than val.
  Throws:
    `javax.el.ELException` - if neither object is Comparable
    `java.lang.ClassCastException` - if the objects are not mutually comparable

### equals

    public static final boolean equals(java.lang.Object obj0,
                                       java.lang.Object obj1)
                                throws javax.el.ELException

  Compare two objects for equality, after coercing to the same type if appropriate. If the objects are identical (including both null) return true. If either object is null, return false. If either object is Boolean, coerce both to Boolean and check equality. Similarly for Enum, String, BigDecimal, Double(Float), Long(Integer, Short, Byte, Character) Otherwise default to using Object.equals().

  Parameters:
    `obj0` - the first object
    `obj1` - the second object
  Returns:
    true if the objects are equal
  Throws:
    `javax.el.ELException`

### coerceToEnum

    public static final java.lang.Enum<?> coerceToEnum(java.lang.Object obj,
                                                       java.lang.Class type)

### coerceToBoolean

    public static final java.lang.Boolean coerceToBoolean(java.lang.Object obj)
                                                   throws javax.el.ELException

  Convert an object to Boolean. Null and empty string are false.

  Parameters:
    `obj` - the object to convert
  Returns:
    the Boolean value of the object
  Throws:
    `javax.el.ELException` - if object is not Boolean or String

### coerceToCharacter

    public static final java.lang.Character coerceToCharacter(java.lang.Object obj)
                                                       throws javax.el.ELException

  Throws:
    `javax.el.ELException`

### coerceToNumber

    public static final java.lang.Number coerceToNumber(java.lang.Object obj)

### coerceToNumber

    protected static final java.lang.Number coerceToNumber(java.lang.Number number,
                                                           java.lang.Class<?> type)
                                                    throws javax.el.ELException

  Throws:
    `javax.el.ELException`

### coerceToNumber

    public static final java.lang.Number coerceToNumber(java.lang.Object obj,
                                                        java.lang.Class<?> type)
                                                 throws javax.el.ELException

  Throws:
    `javax.el.ELException`

### coerceToNumber

    protected static final java.lang.Number coerceToNumber(java.lang.String val,
                                                           java.lang.Class<?> type)
                                                    throws javax.el.ELException

  Throws:
    `javax.el.ELException`

### coerceToString

    public static final java.lang.String coerceToString(java.lang.Object obj)

### checkType

    public static final void checkType(java.lang.Object obj,
                                       java.lang.Class type)
                                throws javax.el.ELException

  Throws:
    `javax.el.ELException`

### coerceToType

    public static final java.lang.Object coerceToType(java.lang.Object obj,
                                                      java.lang.Class<?> type)
                                               throws javax.el.ELException

  Throws:
    `javax.el.ELException`

### containsNulls

    public static final boolean containsNulls(java.lang.Object[] obj)

### isBigDecimalOp

    public static final boolean isBigDecimalOp(java.lang.Object obj0,
                                               java.lang.Object obj1)

### isBigIntegerOp

    public static final boolean isBigIntegerOp(java.lang.Object obj0,
                                               java.lang.Object obj1)

### isDoubleOp

    public static final boolean isDoubleOp(java.lang.Object obj0,
                                           java.lang.Object obj1)

### isDoubleStringOp

    public static final boolean isDoubleStringOp(java.lang.Object obj0,
                                                 java.lang.Object obj1)

### isLongOp

    public static final boolean isLongOp(java.lang.Object obj0,
                                         java.lang.Object obj1)

### isStringFloat

    public static final boolean isStringFloat(java.lang.String str)

### toFloat

    public static final java.lang.Number toFloat(java.lang.String value)

### toNumber

    public static final java.lang.Number toNumber(java.lang.String value)

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.